Package commoble.morered.client

# Class WirePartModelLoader.WirePartGeometry

java.lang.Object
commoble.morered.client.WirePartModelLoader.WirePartGeometry

All Implemented Interfaces:
  `net.neoforged.neoforge.client.model.geometry.IUnbakedGeometry<WirePartModelLoader.WirePartGeometry>`

Enclosing class:
  `WirePartModelLoader`

public static class WirePartModelLoader.WirePartGeometry extends Object implements net.neoforged.neoforge.client.model.geometry.IUnbakedGeometry<WirePartModelLoader.WirePartGeometry>

## Constructor Summary

Constructors
Constructor
Description
`WirePartGeometry(net.minecraft.client.renderer.block.model.BlockModel lineModel, net.minecraft.client.renderer.block.model.BlockModel edgeModel)`

## Method Summary

Modifier and Type
Method
Description
`net.minecraft.client.resources.model.BakedModel`
`bake(net.neoforged.neoforge.client.model.geometry.IGeometryBakingContext context, net.minecraft.client.resources.model.ModelBaker bakery, Function<net.minecraft.client.resources.model.Material,net.minecraft.client.renderer.texture.TextureAtlasSprite> spriteGetter, net.minecraft.client.resources.model.ModelState modelTransform, net.minecraft.client.renderer.block.model.ItemOverrides overrides)`
`void`
`resolveParents(Function<net.minecraft.resources.ResourceLocation,net.minecraft.client.resources.model.UnbakedModel> modelGetter, net.neoforged.neoforge.client.model.geometry.IGeometryBakingContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.neoforged.neoforge.client.model.geometry.IUnbakedGeometry

`getConfigurableComponentNames`

## Constructor Details

### WirePartGeometry

public WirePartGeometry(net.minecraft.client.renderer.block.model.BlockModel lineModel, net.minecraft.client.renderer.block.model.BlockModel edgeModel)

## Method Details

### bake

public net.minecraft.client.resources.model.BakedModel bake(net.neoforged.neoforge.client.model.geometry.IGeometryBakingContext context, net.minecraft.client.resources.model.ModelBaker bakery, Function<net.minecraft.client.resources.model.Material,net.minecraft.client.renderer.texture.TextureAtlasSprite> spriteGetter, net.minecraft.client.resources.model.ModelState modelTransform, net.minecraft.client.renderer.block.model.ItemOverrides overrides)

Specified by:
  `bake` in interface `net.neoforged.neoforge.client.model.geometry.IUnbakedGeometry<WirePartModelLoader.WirePartGeometry>`

### resolveParents

public void resolveParents(Function<net.minecraft.resources.ResourceLocation,net.minecraft.client.resources.model.UnbakedModel> modelGetter, net.neoforged.neoforge.client.model.geometry.IGeometryBakingContext context)

Specified by:
  `resolveParents` in interface `net.neoforged.neoforge.client.model.geometry.IUnbakedGeometry<WirePartModelLoader.WirePartGeometry>`